com.google.gwt.dom.client

## Class NodeList<T extends Node>

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.NodeList<T>

Type Parameters:
  `T` - the type of contained node

    public class NodeList<T extends Node>
    extends JavaScriptObject

The NodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented. NodeList objects in the DOM are live. The items in the NodeList are accessible via an integral index, starting from 0.

### Constructor Summary

Constructors
`protected` `NodeList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getItem(int index)` Returns the indexth item in the collection.
`int` `getLength()` The number of nodes in the list.

### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NodeList

    protected NodeList()

### Method Detail

#### getItem

    public final T getItem(int index)

Returns the indexth item in the collection. If index is greater than or equal to the number of nodes in the list, this returns null.

Parameters:
  `index` - Index into the collection
Returns:
  the node at the indexth position in the NodeList, or null if that is not a valid index.

#### getLength

    public final int getLength()

The number of nodes in the list. The range of valid child node indices is 0 to length-1 inclusive.